import Vue from "vue";
import VueRouter from "vue-router";
Vue.use(VueRouter);

import Appointment from "../views/Appointment.vue"
const routes = [
    {
      path: "/",
      name: "Queue",
      component: () => import(/* webpackChunkName: "hair" */ "../views/Queue.vue"),
      meta: {
          title: '美发预约系统'
      }
    },
    {
      path: "/apply",
      name: "Apply",
      component: () => import(/* webpackChunkName: "hair" */ "../views/Apply.vue"),
      meta: {
          title: '美发预约系统'
      }
    },
    {
      path: "/applyreal",
      name: "Applyreal",
      component: () => import(/* webpackChunkName: "hair" */ "../views/Applyreal.vue"),
      meta: {
          title: '美发预约系统'
      }
    },
    {
      path: "/appointment",
      name: "Appointment",
      component: Appointment,
      meta: {
          title: '美发预约系统'
      }
    },
    {
        path: '/actionSheet',
        name: "ActionSheet",
        component: () => import(/* webpackChunkName: "actionSheet" */ "../views/ActionSheet.vue"),
        meta: {
            title: '汽车保险'
        }
    },
    {
        path: '/menuDiet',
        name: "MenuDiet",
        component: () => import(/* webpackChunkName: "menu" */ "../views/MenuDiet.vue"),
        meta: {
            title: '菜单'
        }
    },
    {
        path: '/pushMenu',
        name: "PushMenu",
        component: () => import(/* webpackChunkName: "menu" */ "../views/PushMenu.vue"),
        meta: {
            title: '添加菜单'
        }
    },
    // 排行
    {
        path: '/ranking',
        name: "Ranking",
        component: () => import(/* webpackChunkName: "ranking" */ "../views/ranking/index.vue"),
        meta: {
            title: '各频率频道日推数据'
        }
    },
    // 咖啡
    {
        path: '/coffee',
        name: "Coffee",
        meta: {
            title: '咖啡'
        },
        component: () => import(/* webpackChunkName: "coffee" */ "../views/coffee/index.vue"),
        children: [
            {
                path: "orders",
                name: "Orders",
                meta: {
                    title: '订单列表'
                },
                component: ()=> import(/* webpackChunkName: "coffee" */ "../views/coffee/orders/index.vue")
            },
            {
                path: "",
                name: "Drinks",
                meta: {
                    title: '点餐'
                },
                component: ()=> import(/* webpackChunkName: "coffee" */ "../views/coffee/drinks/index.vue")
            }
        ]
    },
    {
        path: "/coffeeOrder",
        name: "CoffeeOrder",
        meta: {
            title: '订单详情'
        },
        component: ()=> import(/* webpackChunkName: "coffee" */ "../views/coffee/order/index.vue")
    },
    {
        path: "/coffeeAddList",
        name: "CoffeeAddList",
        meta: {
            title: '地址列表'
        },
        component: ()=> import(/* webpackChunkName: "coffee" */ "../views/coffee/contacts/list.vue")
    },
    {
        path: "/coffeeEdit",
        name: "CoffeeEdit",
        meta: {
            title: '编辑地址'
        },
        component: ()=> import(/* webpackChunkName: "coffee" */ "../views/coffee/contacts/edit_add.vue")
    }
];
// http://djweb.smcic.net/hair/index.html#/appointment

const router = new VueRouter({
  routes,
});

export default router;
